package com.kmalbz.database.service

import com.kmalbz.api.model.ApiObject
import java.time.LocalDate

interface IResultObjectService{
    fun addOne(apiObject: ApiObject)
    suspend fun getAllResultObjects(): List<ApiObject>
    suspend fun getResultObjectbyTag(tag: String): ApiObject?
    suspend fun getResultObjectbyDate(date: LocalDate): List<ApiObject>?
    suspend fun getResultObjectbeforeDate(date: LocalDate): List<ApiObject>?
    suspend fun getResultObjectafterDate(date: LocalDate): List<ApiObject>?
    suspend fun getResultObjecGreaterthanProbability(probability: Double): List<ApiObject>?
    suspend fun getResultObjecLessthanProbability(probability: Double): List<ApiObject>?
    suspend fun getResultObjecEqualsProbability(probability: Double): List<ApiObject>?
}